/* 	libchenabler - API definition of the call history service
 *
 *	Authors: JIANG Dan <dan.jiang@orange-ftgroup.com> 
 *	
 *	This software and associated documentation files (the "Software") 
 *	are copyright (C) 2005 LiPS Linux Phone Standards Forum [FranceTelecom] 
 *	All Rights Reserved. 
 *
 *	A copyright license is hereby granted for redistribution and use of 
 *	the Software in source and binary forms, with or without modification, 
 *	provided that the following conditions are met: 
 *	- Redistributions of source code must retain the above copyright notice, 
 *	this copyright license and the following disclaimer. 
 * - Redistributions in binary form must reproduce the above copyright 
 *	notice, this copyright license and the following disclaimer in the 
 *	documentation and/or other materials provided with the distribution. 
 *	- Neither the name of LiPS  nor the names of its Members may be used 
 *	to endorse or promote products derived from the Software without 
 *	specific prior written permission. 
 *
 *	A patent license for any Necessary Claims owned by Members of LiPS Forum 
 *	to make, have made, use, import, offer to sell, lease and sell or otherwise 
 *	distribute any implementation compliant with the any specification adopted 
 *	by the LiPS Forumcan be obtained from the respective Members on reasonable 
 *	and non-discriminatory terms and conditions and under reciprocity, as 
 *	regulated in more detail in the Internal Policy of the LiPS Forum. 
 *
 *	THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER, ITS MEMBERS AND CONTRIBUTORS 
 *	"AS IS", AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, 
 *	THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE 
 *	AND NON-INFRINGEMENT ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER, 
 *	ITS MEMBERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *	SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
 *	PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; 
 *	OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 *	WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
 *	ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
 *	POSSIBILITY OF SUCH DAMAGE. 
 */

/**
 *@file <vochtype.h>
 *@brief TYPE definition of the Voice Call interface
 *
 */

#ifndef __LIPS_VOCH_TYPE_H
#define __LIPS_VOCH_TYPE_H

#ifdef __cplusplus
extern "C"
{
#endif                          /* __cplusplus */

#include <string.h>
#include <time.h>
/* 
 *basic type definition
 */
#ifndef __LIPS_VOC_TYPE_H
#define __LIPS_VOC_TYPE_H
  typedef char Int8;
  typedef short Int16;
  typedef int Int32;
  typedef unsigned char UInt8;
  typedef unsigned short UInt16;
  typedef unsigned int UInt32;

  typedef UInt8 uint8_t;
  typedef UInt16 uint16_t;
  typedef UInt32 uint32_t;

  typedef UInt8 Boolean;

  typedef Boolean boolean_t;

#ifndef TRUE
#define TRUE      ( (Boolean)1 )
#endif

#ifndef FALSE
#define FALSE     ( (Boolean)0 )
#endif

#endif

//******************************************************************************
//              Type Declarations 
//******************************************************************************
/**
 *@brief type of field template id
 */
  typedef uint32_t voch_ftid_t;

/**
 *@brief type of field id
 */
  typedef uint32_t voch_fid_t;

/**
 *@brief a unique identifier of uint32_t type, used to specify an history record in a session.
 */
  typedef uint32_t voch_sid_t;

/**
 *@brief Line ID
 */
  typedef uint32_t voch_lid_t;

/**
 *@brief a unique identifer of uuid type (16 bytes binary), used to specify an call history item.
 */
  typedef unsigned char voch_cid_t[16];

/**
 *@brief time type
 */
  typedef time_t voch_time_t;

  typedef enum
  {
    OUTGOING = 0,
    INCOMING_ANSWER = 1,
    INCOMING_MISSED = 2,
  } voch_call_type_t;

#ifdef __cplusplus
}
#endif                          /* __cplusplus */

#endif                          /* __LIPS_VOCH_TYPE_H */

/* 
vi:ts=2:nowrap:ai:expandtab
*/

