/* 	libchenabler - API definition of the call history service
 *
 *	Authors: JIANG Dan <dan.jiang@orange-ftgroup.com> 
 *	
 *	This software and associated documentation files (the "Software") 
 *	are copyright (C) 2005 LiPS Linux Phone Standards Forum [FranceTelecom] 
 *	All Rights Reserved. 
 *
 *	A copyright license is hereby granted for redistribution and use of 
 *	the Software in source and binary forms, with or without modification, 
 *	provided that the following conditions are met: 
 *	- Redistributions of source code must retain the above copyright notice, 
 *	this copyright license and the following disclaimer. 
 * - Redistributions in binary form must reproduce the above copyright 
 *	notice, this copyright license and the following disclaimer in the 
 *	documentation and/or other materials provided with the distribution. 
 *	- Neither the name of LiPS  nor the names of its Members may be used 
 *	to endorse or promote products derived from the Software without 
 *	specific prior written permission. 
 *
 *	A patent license for any Necessary Claims owned by Members of LiPS Forum 
 *	to make, have made, use, import, offer to sell, lease and sell or otherwise 
 *	distribute any implementation compliant with the any specification adopted 
 *	by the LiPS Forumcan be obtained from the respective Members on reasonable 
 *	and non-discriminatory terms and conditions and under reciprocity, as 
 *	regulated in more detail in the Internal Policy of the LiPS Forum. 
 *
 *	THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER, ITS MEMBERS AND CONTRIBUTORS 
 *	"AS IS", AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, 
 *	THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE 
 *	AND NON-INFRINGEMENT ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER, 
 *	ITS MEMBERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *	SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
 *	PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; 
 *	OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 *	WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
 *	ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
 *	POSSIBILITY OF SUCH DAMAGE. 
 */

/**
 *@file the Voice Call History interface
 */

#ifndef __LIPS_VOCH_CALLHISTORY_PRIV_H
#define __LIPS_VOCH_CALLHISTORY_PRIV_H

#include "vochtype.h"
#include "vocherror.h"
#include "vochcallhistory.h"
#include "vochtemplate.h"

#ifdef __cplusplus
extern "C"
{

#endif                          /* __cplusplus */

#define HISTORY_CID                                   (VOC_FIELD_ID_START + 0)
#define HISTORY_SID                                   (VOC_FIELD_ID_START + 1)
#define HISTORY_DATE                                  (VOC_FIELD_ID_START + 2)
#define HISTORY_TYPE                                  (VOC_FIELD_ID_START + 3)
#define HISTORY_DURATION                              (VOC_FIELD_ID_START + 4)
#define HISTORY_PHONENUM                              (VOC_FIELD_ID_START + 5)

/**
 *@brief Private VOC History structure
 */
  struct _voch_callhistory_t
  {
    Record *record;
  };
  voch_callhistory_t *voch_callhistory_new (const FieldTemplate *template);
  voch_err_t voch_callhistory_set_record (voch_callhistory_t *history,
                                          const Record *record);
  void voch_callhistory_print (const voch_callhistory_t *history);

#ifdef __cplusplus
}
#endif                          /* __cplusplus */

#endif                          /* __LIPS_VOCH_CALLHISTORY_PRIV_H */

/* 
vi:ts=2:nowrap:ai:expandtab
*/

